You are not logged in.

#1 2019-12-25 19:34:07

Daerun
Member
Registered: 2011-02-07
Posts: 84

[SOLVED] Cannot resolve "xorgproto" dependency update

I did follow the warning on the front page, but it didn't result in an update; I still have a warning on lib32-libxi

:: installing xorgproto (2019.2-2) breaks dependency 'inputproto' required by lib32-libxi

In my case, only libxxf86dga was installed in my system, but what could have possibly gone wrong?


EDIT
Solution thanks to WorMzy: check /etc/pacman.conf.

[multilib]
Include = /etc/pacman.d/mirrorlist

this was commented, uncommenting it solved everything.

Last edited by Daerun (2019-12-26 15:36:11)

Offline

#2 2019-12-25 20:44:38

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 9,307
Website

Re: [SOLVED] Cannot resolve "xorgproto" dependency update


Sakura:-
Mobo: MSI X299 TOMAHAWK ARCTIC // Processor: Intel Core i7-7820X 3.6GHz // GFX: nVidia GeForce GTX 970 // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 5x 1TB HDD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

#3 2019-12-25 21:22:03

Daerun
Member
Registered: 2011-02-07
Posts: 84

Re: [SOLVED] Cannot resolve "xorgproto" dependency update

It was indeed a problem of multilib being commented in /etc/pacman.conf, so simply uncommenting it solved everything.

I guess I did not pay attention to the changes in pacman.conf in previus versions of pacman.

Thanks, WorMzy.

Offline

Board footer

Powered by FluxBB